Package de.willuhn.jameica.hbci.gui.views

# Class AbstractUmsatzDetail

java.lang.Object
de.willuhn.jameica.gui.AbstractView
de.willuhn.jameica.hbci.gui.views.AbstractUmsatzDetail

Direct Known Subclasses:
  `UmsatzDetail`, `UmsatzDetailEdit`

public abstract class AbstractUmsatzDetail extends de.willuhn.jameica.gui.AbstractView
Bildet die Detailansicht einer Buchung ab.

## Constructor Summary

Constructors
Constructor
Description
`AbstractUmsatzDetail()`

## Method Summary

Modifier and Type
Method
Description
`void`
`bind()`
`protected abstract UmsatzDetailControl`
`getControl()`
Liefert den Controller.

### Methods inherited from class de.willuhn.jameica.gui.AbstractView

`canAttach, canBookmark, getCurrentObject, getHelp, getParent, reload, setCurrentObject, setParent, unbind`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractUmsatzDetail

public AbstractUmsatzDetail()

## Method Details

### getControl

protected abstract UmsatzDetailControl getControl()
Liefert den Controller.

Returns:
  der Controller.

### bind

public void bind() throws Exception

Specified by:
  `bind` in class `de.willuhn.jameica.gui.AbstractView`
Throws:
  `Exception`
See Also:
  - `AbstractView.bind()`